package com.sun.jmx.mbeanserver;

import javax.management.loading.ClassLoaderRepository;

final class SecureClassLoaderRepository implements ClassLoaderRepository
{
    private final ClassLoaderRepository clr;
    
    public SecureClassLoaderRepository(ClassLoaderRepository clr) {
        this.clr = clr;
    }
    
    @Override
    public final Class<?> loadClass(String s) throws ClassNotFoundException {
        return this.clr.loadClass(s);
    }
    
    @Override
    public final Class<?> loadClassWithout(ClassLoader classLoader, String s) throws ClassNotFoundException {
        return this.clr.loadClassWithout(classLoader, s);
    }
    
    @Override
    public final Class<?> loadClassBefore(ClassLoader classLoader, String s) throws ClassNotFoundException {
        return this.clr.loadClassBefore(classLoader, s);
    }
}
